Page MenuHomePhabricator

Meta login fails
Closed, ResolvedPublic

Description

A couple of hours there is no possibility to login to meta. The login screen refreshes itself every second. Surprisingly, the login in all the other wiki sites does not log you in to meta.
Different browsers show different behaviour on this bug.

Event Timeline

IKhitron created this task.Jan 22 2016, 6:42 PM
IKhitron raised the priority of this task from to Unbreak Now!.
IKhitron updated the task description. (Show Details)
IKhitron added subscribers: IKhitron, eranroz.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2016, 6:42 PM

It worked for me.

Still does not work. So it not just different browsers, but also different users.

IKhitron added a comment.EditedJan 22 2016, 6:46 PM

It changed now. Not multiple refreshings, but one refresh and return to previous URL with the message of CentralLogin.

IKhitron updated the task description. (Show Details)Jan 22 2016, 6:50 PM
IKhitron set Security to None.
Tgr added a comment.Jan 22 2016, 6:50 PM

Please provide the username(s). If you know how to do that, the details of the login request and response (as shown in the browser's debug toolbar, for example) would also be very helpful.

The username is IKhitron.
And the console stays empty all the time.

I am sure it's something new, because I'm in meta three times every day, on quarry.

Tgr added a comment.Jan 22 2016, 6:55 PM

If it's IKhitron, there is a single Session [30]CentralAuthSessionProvider<-:2362354:IKhitron>XXXXXXXXXXXXXXXXXXXXXX: Unverified user provided and no metadata to auth it and then a bunch of Session [30]CentralAuthSessionProvider<+:2362354:IKhitron>XXXXXXXXXXXXXXXXXXXXXX: User token mismatch (with a different token every time) in the session log for meta.

I have no idea what does this mean.

Global/central login seems to be completely broken - I have to log in with every wiki. May be related to the issue posted here.

Anomie added a subscriber: Anomie.Jan 22 2016, 9:31 PM

Global/central login seems to be completely broken - I have to log in with every wiki. May be related to the issue posted here.

I don't know whether it's related to this issue, but that is T124468: CentralAuth is not logging the user into loginwiki anymore.

Dereckson added subscribers: Phe, Dereckson.EditedJan 22 2016, 11:43 PM

It could be a cluster-wide issue.

@Phe experiences login difficulties with https://wikisource.org.

I were disconnected twice from fr.wikipedia.org this evening.

Tgr added a comment.Jan 22 2016, 11:45 PM

Please give exact times, a patch was deployed two hours ago.

Phe added a comment.Jan 22 2016, 11:47 PM

login trouble too, with firefox 38/linux on https://wikisource.org with different symptom, I get "Login error. Wikisource uses cookies to log in users. You have cookies disabled. Please enable them and try again. " when trying to log, (cookie enabled in my browser) A few other people reported the same issue on wikisource.org .

Phe added a comment.Jan 22 2016, 11:49 PM

Exact time is 5 mins ago

Phe added a comment.Jan 22 2016, 11:56 PM

Ok, a bit more data, if I delete all cookie for wikisource.org I can login, if I logout and try to login again, I can't with "Login error. Wikisource uses cookies to log in users. You have cookies disabled. Please enable them and try again. " as error message

Tgr added a comment.Jan 23 2016, 12:50 AM

@Phe, only shared wikisource or single-language wikis as well?

Tgr added a comment.Jan 23 2016, 12:54 AM

Can reproduce but only on wikisource.org.

Tgr added a comment.Jan 23 2016, 1:00 AM

Reproduction is straightforward: open incognito mode (current Chrome), go to wikisource.org, log in, log out, log in -> error. Meta works correctly.

Tgr lowered the priority of this task from Unbreak Now! to High.Jan 23 2016, 5:37 PM

Downgrading as we rolled back the code.

Yann added a subscriber: Yann.Jan 23 2016, 5:44 PM

This happened to me today. Seems OK now.

I wasn't here yesterday, checked now - it works fine.

Splitting the wikisource error to T124620 as it's easy to reproduce so probably not the same issue. (Also it doesn't involve anything like "return to previous URL with the message of CentralLogin").

Tgr added a comment.Jan 29 2016, 8:25 PM

@IKhitron, any issues this time? A number of bugs have been fixed since last week (specifically, this issue looks like it could have been T125114).

As I said on Jan 24, it's OK, and it's OK from then too.

Anomie closed this task as Resolved.Jan 29 2016, 9:11 PM
Anomie claimed this task.

Ok, let's call this "resolved" then.

Stryn added a subscriber: Stryn.Jan 29 2016, 9:38 PM
Denniss removed a subscriber: Denniss.Apr 24 2016, 10:58 AM